activities
Mark activities as read
POST
/
api
/
activities
/
read
Mark activities as read
curl --request POST \
--url https://api.fluid.app/api/activities/read \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/activities/read"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/activities/read', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active": true,
"active_pro_subscription": null,
"activity_notifications": 123,
"affiliate_id": 123,
"affiliate_shop_url": "<string>",
"agree_statement": "<string>",
"agreed_to_all_terms": true,
"agreements": null,
"bio": "<string>",
"business_details_filled": true,
"business_phone_number": null,
"business_phone_number_status": null,
"catchups_onboarded": true,
"companies": [
{
"active": true,
"agree_to_terms": null,
"appstore_url": "<string>",
"auto_add_new_products": true,
"base_url": "<string>",
"color": "<string>",
"countries": [
{
"active": true,
"address3": true,
"currency_code": "<string>",
"currency_symbol": "<string>",
"delimiter": "<string>",
"id": 123,
"iso": "<string>",
"iso3": "<string>",
"iso_name": "<string>",
"name": "<string>",
"numcode": 123,
"separator": "<string>",
"tax_rates": null
}
],
"cv_to_usd_ratio": "<string>",
"default_country": {
"active": true,
"address3": true,
"address_requires_province": null,
"certified": true,
"checkout_requires_terms": null,
"configuration": {},
"created_at": "2023-11-07T05:31:56Z",
"currency_code": "<string>",
"currency_symbol": "<string>",
"default": true,
"delimiter": "<string>",
"eu": null,
"geo_entity_id": null,
"id": 123,
"iso": "<string>",
"iso3": "<string>",
"iso_name": "<string>",
"name": "<string>",
"numcode": 123,
"separator": "<string>",
"settings": {},
"tax_enabled": null,
"tax_inclusive": null,
"tax_invoice_required": null,
"tax_local_abbreviation": null,
"tax_local_name": null,
"tax_name": null,
"tax_provinces": null,
"tax_rates": null,
"tax_standard_rate": null,
"updated_at": "2023-11-07T05:31:56Z",
"uuid_v7": "<string>"
},
"disable_fluid_sign_in": true,
"display_activities": true,
"display_analytics": true,
"display_announcements": true,
"display_billing_zip": null,
"display_callpro": true,
"display_catchups": true,
"display_channel_messaging": true,
"display_comments": true,
"display_contact_activity": true,
"display_contact_csv_export": true,
"display_contact_csv_import": true,
"display_contact_groups": true,
"display_contacts": true,
"display_courses": true,
"display_direct_messaging": true,
"display_discounts": true,
"display_enrollments": true,
"display_events": true,
"display_explore": true,
"display_get_started": true,
"display_group_messaging": true,
"display_leaderboard": true,
"display_leads": true,
"display_marketplace": true,
"display_media": true,
"display_member_shopping": true,
"display_messaging": true,
"display_mysite": true,
"display_new_and_trending": true,
"display_orders": true,
"display_pages": true,
"display_playlists": true,
"display_points": true,
"display_products": true,
"display_promos": true,
"display_recent_activity": true,
"display_share": true,
"display_share_stats": true,
"display_shop": true,
"display_tasks": true,
"display_uploads": true,
"display_wallet": true,
"display_webchat": true,
"enable_premium_messaging": true,
"enable_reps_messaging": true,
"feature_flags": {},
"fluid_commission": "<string>",
"hide_reviews_rating": true,
"icon_url": "<string>",
"id": 123,
"impersonating": true,
"invite_customers_to_download": null,
"languages": [
{
"active": true,
"id": 123,
"iso": "<string>",
"name": "<string>"
}
],
"logo_url": "<string>",
"member_types": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"system_defined": true
}
],
"name": "<string>",
"playstore_url": "<string>",
"privacy_url": "<string>",
"promo_video_url": null,
"public": true,
"reviews_on_orders": true,
"sandbox": true,
"settings": {
"shipping": "<string>"
},
"shop_onboarded_at": null,
"show_commission_as_cv": true,
"subdomain": "<string>",
"support_email": null,
"terms_url": "<string>"
}
],
"company": {
"active": true,
"agree_to_terms": null,
"appstore_url": "<string>",
"auto_add_new_products": true,
"base_url": "<string>",
"color": "<string>",
"countries": [
{
"active": true,
"address3": true,
"currency_code": "<string>",
"currency_symbol": "<string>",
"delimiter": "<string>",
"id": 123,
"iso": "<string>",
"iso3": "<string>",
"iso_name": "<string>",
"name": "<string>",
"numcode": 123,
"separator": "<string>",
"tax_rates": null
}
],
"cv_to_usd_ratio": "<string>",
"default_country": {
"active": true,
"address3": true,
"address_requires_province": null,
"certified": true,
"checkout_requires_terms": null,
"configuration": {},
"created_at": "2023-11-07T05:31:56Z",
"currency_code": "<string>",
"currency_symbol": "<string>",
"default": true,
"delimiter": "<string>",
"eu": null,
"geo_entity_id": null,
"id": 123,
"iso": "<string>",
"iso3": "<string>",
"iso_name": "<string>",
"name": "<string>",
"numcode": 123,
"separator": "<string>",
"settings": {},
"tax_enabled": null,
"tax_inclusive": null,
"tax_invoice_required": null,
"tax_local_abbreviation": null,
"tax_local_name": null,
"tax_name": null,
"tax_provinces": null,
"tax_rates": null,
"tax_standard_rate": null,
"updated_at": "2023-11-07T05:31:56Z",
"uuid_v7": "<string>"
},
"disable_fluid_sign_in": true,
"display_activities": true,
"display_analytics": true,
"display_announcements": true,
"display_billing_zip": null,
"display_callpro": true,
"display_catchups": true,
"display_channel_messaging": true,
"display_comments": true,
"display_contact_activity": true,
"display_contact_csv_export": true,
"display_contact_csv_import": true,
"display_contact_groups": true,
"display_contacts": true,
"display_courses": true,
"display_direct_messaging": true,
"display_discounts": true,
"display_enrollments": true,
"display_events": true,
"display_explore": true,
"display_get_started": true,
"display_group_messaging": true,
"display_leaderboard": true,
"display_leads": true,
"display_marketplace": true,
"display_media": true,
"display_member_shopping": true,
"display_messaging": true,
"display_mysite": true,
"display_new_and_trending": true,
"display_orders": true,
"display_pages": true,
"display_playlists": true,
"display_points": true,
"display_products": true,
"display_promos": true,
"display_recent_activity": true,
"display_share": true,
"display_share_stats": true,
"display_shop": true,
"display_tasks": true,
"display_uploads": true,
"display_wallet": true,
"display_webchat": true,
"enable_premium_messaging": true,
"enable_reps_messaging": true,
"feature_flags": {},
"fluid_commission": "<string>",
"hide_reviews_rating": true,
"icon_url": "<string>",
"id": 123,
"impersonating": true,
"invite_customers_to_download": null,
"languages": [
{
"active": true,
"id": 123,
"iso": "<string>",
"name": "<string>"
}
],
"logo_url": "<string>",
"member_types": [
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"system_defined": true
}
],
"name": "<string>",
"playstore_url": "<string>",
"privacy_url": "<string>",
"promo_video_url": null,
"public": true,
"reviews_on_orders": true,
"sandbox": true,
"settings": {
"shipping": "<string>"
},
"shop_onboarded_at": null,
"show_commission_as_cv": true,
"subdomain": "<string>",
"support_email": null,
"terms_url": "<string>"
},
"company_unread_activities_count": 123,
"country": {
"id": 123,
"iso": "<string>",
"name": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"default_wallets": [
"<string>"
],
"dnd": "<string>",
"email": "<string>",
"email_notifications": true,
"email_signature": "<string>",
"facebook": null,
"favicon_url": null,
"first_message_sent_at": null,
"first_name": "<string>",
"first_sign_in_at": null,
"fluid_shop": null,
"free_samples": true,
"full_name": "<string>",
"icon_url": "<string>",
"id": 123,
"image_url": null,
"instagram": null,
"jwt": null,
"language": {
"active": true,
"created_at": "2023-11-07T05:31:56Z",
"default": true,
"id": 123,
"iso": "<string>",
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"uuid_v7": "<string>"
},
"last_name": "<string>",
"lead_capture": true,
"leads_purchased_amount": null,
"leads_recurring": null,
"leads_remaining": null,
"leads_requested_per_day": null,
"linkedin": null,
"media_categories": [
"<string>"
],
"media_tags": [
"<string>"
],
"mysite_leads": 123,
"mysite_theme": null,
"mysite_url": "<string>",
"mysite_views": 123,
"open_task_count": 123,
"phone": "<string>",
"pinterest": null,
"plan": null,
"premium_messaging_plan": {
"amount": "<string>",
"company_id": 123,
"default": true,
"discount": "<string>",
"id": 123,
"label": "<string>",
"net_amount": "<string>",
"renew_duration": "<string>",
"slug": "<string>",
"status": "<string>"
},
"pro_plans": [
"<string>"
],
"profile_notifications": 123,
"public_id": "<string>",
"push_notifications": true,
"rank": null,
"replicated_url": "<string>",
"role": "<string>",
"share_link": "<string>",
"sms_notifications": true,
"sms_registration_status": null,
"tiktok": null,
"time_zone": "<string>",
"token": "<string>",
"total_points": 123,
"twitter": null,
"unread_messages_count": 123,
"wechat": null,
"whatsapp": null,
"youtube": null
}{
"message": "<string>"
}Authorizations
Bearer token authentication
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Any valid JSON value for provider, integration, theme, metadata, or other dynamic payloads whose keys are not fixed by the API contract.
Show child attributes
Show child attributes
Any valid JSON value for provider, integration, theme, metadata, or other dynamic payloads whose keys are not fixed by the API contract.
Any valid JSON value for provider, integration, theme, metadata, or other dynamic payloads whose keys are not fixed by the API contract.
Show child attributes
Show child attributes
Any valid JSON value for provider, integration, theme, metadata, or other dynamic payloads whose keys are not fixed by the API contract.
⌘I
Mark activities as read
